package com.pjilisense.flxai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.pjilisense.flxai.base.service.impl.CrudServiceImpl;
import com.pjilisense.flxai.dao.AppAiModelDao;
import com.pjilisense.flxai.dto.AppAiModelDTO;
import com.pjilisense.flxai.entity.AppAiModelEntity;
import com.pjilisense.flxai.service.AppAiModelService;
import cn.hutool.core.util.StrUtil;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * AI模型表
 *
 * @author liushujing liushujing@philisense.com
 * @since 1.0.0 2024-12-20
 */
@Service
public class AppAiModelServiceImpl extends CrudServiceImpl<AppAiModelDao, AppAiModelEntity, AppAiModelDTO> implements AppAiModelService {

    @Override
    public QueryWrapper<AppAiModelEntity> getWrapper(Map<String, Object> params){
        String id = (String)params.get("id");

        QueryWrapper<AppAiModelEntity> wrapper = new QueryWrapper<>();
        wrapper.eq(StrUtil.isNotBlank(id), "id", id);

        return wrapper;
    }


}