package com.pjilisense.flxai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.pjilisense.flxai.base.service.impl.CrudServiceImpl;
import com.pjilisense.flxai.dao.AppAiPluginDao;
import com.pjilisense.flxai.dto.AppAiPluginDTO;
import com.pjilisense.flxai.entity.AppAiPluginEntity;
import com.pjilisense.flxai.service.AppAiPluginService;
import cn.hutool.core.util.StrUtil;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * AI插件表
 *
 * @author liushujing liushujing@philisense.com
 * @since 1.0.0 2024-12-20
 */
@Service
public class AppAiPluginServiceImpl extends CrudServiceImpl<AppAiPluginDao, AppAiPluginEntity, AppAiPluginDTO> implements AppAiPluginService {

    @Override
    public QueryWrapper<AppAiPluginEntity> getWrapper(Map<String, Object> params){
        String id = (String)params.get("id");

        QueryWrapper<AppAiPluginEntity> wrapper = new QueryWrapper<>();
        wrapper.eq(StrUtil.isNotBlank(id), "id", id);

        return wrapper;
    }


}